System requirements

MartinPulec edited this page Feb 13, 2018 · 11 revisions

This page lists recommended and minimal hardware and software requirements for UltraGrid.

Hardware

Recommended Setup:

  • recent CPU generation - at least Intel Core i5 or AMD Ryzen
  • at least 8 GB RAM
  • OpenGL 3.3 - compatible graphics card, preferably NVIDIA for a wide range of HW-accelerated codecs
    • CUDA-accelerated JPEG compression requires a CUDA-capable NVidia GPU with compute capability >= 3.0 (eg. NVidia GeForce 7xx or newer)
    • accelerated H.264 - all recent NVIDIA cards, Intel 7th generation GPU (Ivy Bridge and newer)
    • accelerated HEVC - at least NVIDIA Pascal (eg. GeForce 10xx), Intel Skylake and newer
    • DXT compression on GPU requires OpenGL 3.1. DXT decompress needs GL_EXT_texture_compression_s3tc - if use Linux and Intel graphics, please read a note here.
  • for uncompressed 1.5Gbps FullHD streams (either sending or receiving), 10GbE network interface card is needed
    • we test with PCIe Myrinet 10GbE
  • for video capture capabilities, AJA, Blackmagick, Bluefish444, DELTACAST, Magewell card is required. For display, SW renderer can be used (OpenGL/SDL), however, for best quality, dedicated card is recommended (the same brands as for capture).
  • for most recommended and tested HW configurations please refer this page

Software

Linux

Recommended setup:

  • Debian 9 or Ubuntu 18.04 distribution is recommended
  • drivers for capture/playback card
  • up-to-date graphic drivers (preferably proprietary ones for an AMD or NVIDIA card)

For compilation from source, you will need these pieces of software. In brackets are optional features for which you'll need it:

  • X.Org and up-to-date display drivers, perferably proprietary, for OpenGL and SDL displays and modules written in GLSL such as scale, RTDXT or SWmix (Linux only)

  • SDL (SDL display)

  • OpenGL (OpenGL display and UG modules using GLSL)

    • GLEW library (Linux and Windows)
    • GLUT (preferably freeglut)
  • DVS SDK/Blackmagic drivers/DELTACAST SDK

  • NVIDIA CUDA Toolkit (JPEG)

  • devel packages of these need to be installed as well

Recommended setup

To meet UltraGrid recommended, well-performing and best supported setup, we recommend following:

  • most up-to-date Linux distro without full-featured desktop environment, for instance Ubuntu Server edition.
  • X.org with non-compositing window manager, eg. with Openbox
  • disabling Pulseaudio (and prevent it from starting, eg. not having it installed at all)
  • disabling firewall
  • using NVidia/AMD proprietary drivers

Recommended packages for clean install of ubuntu

apt-get install gcc binutils make ntp openvpn nmap iperf nuttcp slurm \
wireshark tcpdump byobu gkermit xinit xterm openbox build-essential \
autoconf automake git libtool freeglut3-dev libgl1-mesa-dev libglew-dev \
libasound2-dev libv4l-dev libavcodec-dev liabav-tool libavcodec-extra-53 \
openssh-server openssh-client mc vim vlc alsa-utils zip rar firefox 

macOS

Following software configuration is recommended:

For building UltraGrid from sources you will also need the following:

  • Xcode build environment (from MacOS X install CD/DVD), if you will compile from sources
  • Quictime, OpenGL, Cocoa and Carbon frameworks (usually included in any instalation)
  • optionally SDL (preferably from macports)
  • for more verbose list of prerequisites you can see INSTALL file in source tarball

Windows

  • at least Windows 7
  • drivers for your capture/display card (Blackmagic/DELTACAST etc.)

For Windows build instructions from source code please refer here.

Clone this wiki locally
You can’t perform that action at this time.
You signed in with another tab or window. Reload to refresh your session. You signed out in another tab or window. Reload to refresh your session.
Press h to open a hovercard with more details.